#ifndef USER_USB_RAM
#error "This example needs to be compiled with a USER USB setting"
#endif

#include "src/CdcHidCombo/USBCDC.h" 
#include "DataFlash.H"

uint8_t lastValue;
      
void setup() {
  USBInit();
  // 读取
  Flash_Op_Check_Byte1 = 0x00;
  Flash_Op_Check_Byte2 = 0x00;
  ReadDataFlash(0,1,&lastValue);
  lastValue++;
  
  // 写入
  Flash_Op_Check_Byte1 = DEF_FLASH_OP_CHECK1;
  Flash_Op_Check_Byte2 = DEF_FLASH_OP_CHECK2;
  WriteDataFlash(0,&lastValue,1);

}

void loop() {
  USBSerial_println(lastValue-1);
  delay(3000);
}
